------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情11
--Creator:		江宇君
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>243
--/reloadlua Script/TaoistNewAreaTask1.lua


CppScriptMgr:SetViewPosByCell(167, 163)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(954,176, 163, "Evil Man")
local playerMonster2 = CppScriptMgr:AddPlayer(951,169, 167, "Demon Lady")
playerMonster1:SetZoomPercent(200);
playerMonster1:SetDir(7)
playerMonster2:SetZoomPercent(200);
playerMonster2:SetDir(7)
playerMonster1:AddEffect("zf2-e307-2");
playerMonster1:AddEffect("zf2-e307-2");
playerMonster1:AddEffect("zf2-e307-2");
playerMonster1:AddEffect("zf2-e307-2");
playerMonster2:AddEffect("zf2-e307-2");
playerMonster2:AddEffect("zf2-e307-2");
playerMonster2:AddEffect("zf2-e307-2");
playerMonster2:AddEffect("zf2-e307-2");
playerMonster2:AddEffect("zf2-e307-2");


playerMonster1:Say("This unmerciful world!",2000)
CppScriptMgr:WaitMilSec(1000)
playerMonster2:Say("All will be vanished!",2000)

playerMonster1:AddEffect("zf2-e224_1");
playerMonster2:AddEffect("zf2-e224_1");

CppScriptMgr:WaitMilSec(2000)

playerMonster1:SetPos(74,188)
playerMonster2:SetPos(74,188)

local playerMonster3 = CppScriptMgr:AddPlayer(175,167, 163, "Jiro")
playerMonster3:AddEffect("zf2-e314");
playerMonster3:SetZoomPercent(200);
CppScriptMgr:WaitMilSec(1000)
playerMonster3:Say("What... I`ll be back and make you pay!",2000)
CppScriptMgr:WaitMilSec(2000)




-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)